SplitCompressionInputStream (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.io.compress, class: SplitCompressionInputStream

Package org.apache.hadoop.io.compress

# Class SplitCompressionInputStream

java.lang.Object
java.io.InputStream
org.apache.hadoop.io.compress.CompressionInputStream
org.apache.hadoop.io.compress.SplitCompressionInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Seekable`, `IOStatisticsSource`

@Public @Evolving public abstract class SplitCompressionInputStream extends CompressionInputStream
An InputStream covering a range of compressed data. The start and end offsets requested by a client may be modified by the codec to fit block boundaries or other algorithm-dependent requirements.

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.io.compress.CompressionInputStream

  `in, maxAvailableData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SplitCompressionInputStream(InputStream in, long start, long end)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getAdjustedEnd()`
  After calling createInputStream, the values of start or end might change.
  `long`
  `getAdjustedStart()`
  After calling createInputStream, the values of start or end might change.
  `protected void`
  `setEnd(long end)`
  `protected void`
  `setStart(long start)`

  ### Methods inherited from class org.apache.hadoop.io.compress.CompressionInputStream

  `close, getIOStatistics, getPos, read, resetState, seek, seekToNewSource`

  ### Methods inherited from class java.io.InputStream

  `available, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SplitCompressionInputStream

    public SplitCompressionInputStream(InputStream in, long start, long end) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### setStart

    protected void setStart(long start)

  - ### setEnd

    protected void setEnd(long end)

  - ### getAdjustedStart

    public long getAdjustedStart()
    After calling createInputStream, the values of start or end might change. So this method can be used to get the new value of start.
    Returns:
      The changed value of start

  - ### getAdjustedEnd

    public long getAdjustedEnd()
    After calling createInputStream, the values of start or end might change. So this method can be used to get the new value of end.
    Returns:
      The changed value of end